/* -*- c++ -*- */
#ifndef _SWADMIN_QUERY_H_
#define _SWADMIN_QUERY_H_

/**********************************************************************
 *
 *           Copyright 1996 by Carnegie Mellon University
 * 
 *                       All Rights Reserved
 * 
 * Permission to use, copy, modify, and distribute this software and its
 * documentation for any purpose and without fee is hereby granted,
 * provided that the above copyright notice appear in all copies and that
 * both that copyright notice and this permission notice appear in
 * supporting documentation, and that the name of CMU not be
 * used in advertising or publicity pertaining to distribution of the
 * software without specific, written prior permission.
 * 
 * CMU DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING
 * ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT SHALL
 * CMU BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR
 * ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
 * WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
 * ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS
 * SOFTWARE.
 * 
 * Author: Ryan Troll <ryan+@andrew.cmu.edu>
 * 
 * $Id: query.h,v 1.1.1.1 1996/12/30 00:24:33 ryan Exp $
 * 
 **********************************************************************/

int get_password(char *, char *);
void set_port_name(char *, char *, char *, int, int);
int cdp_neighbors(char *, char *, char *);
int get_switch_software(char *, char *, char *);
int get_switch_hardware(char *, char *, char *);
int control_port(char *, char *, char *, int, int);
int select_port(char *, char *, char *, int, int);
int static_port_statistics(char *, char *, char *, int, int);
int static_module_statistics(char *, char *, char *, int);
int dynamic_port_statistics(char *, char *, char *, int, int);
int dynamic_module_statistics(char *, char *, char *, int);
int select_module(char *, char *, char *, int, int);
int get_sw_port(char *, char *, char *, int);

#endif /* _SWADMIN_QUERY_H_ */
